%define nam  man
%define ver  1.5i2
%define rel  4jaJP

Summary: manual page reader
Name: %{nam}
Version: %{ver}
Release: %{rel}
Serial: 2003032701
License: GPL
Group: System Environment/Base
Source0: ftp://ftp.win.tue.nl/pub/linux-local/utils/man/%{name}-%{ver}.tar.gz
Source1: makewhatis.cronweekly
Source2: makewhatis.crondaily
Patch1: man-1.5i2-rpm_install.patch
Patch2: man-1.5h-missingh.patch
Patch3: man-1.5i2-japanese.patch
Patch4: man-1.5i2-roffsecurity.patch
BuildRoot: /var/tmp/%{name}-%{version}-root
PreReq: shadow-utils
Requires: groff gzip bzip2 findutils
Obsoletes: man-man2html
#NoSource: 0

# Adds BINROOTDIR to the man2html install rule.
# Hopefully will be added to next version of man

%description
The man package includes three tools for finding information and/or
documentation about your Linux system:  man, apropos and whatis.  The man
system formats and displays on-line manual pages about commands or
functions on your system.  Apropos searches the whatis database
(containing short descriptions of system commands) for a string.  Whatis
searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way for finding documentation.

%prep
%setup -q
# add share paths
perl -pi -e 's|/usr/man|%{_mandir}|g;' src/man.conf.in
%patch1 -p1 -b .rpm_install
%ifarch ia64
%patch2 -p1 -b .missingh
%endif
%patch3 -p1 -b .jp
%patch4 -p1 -b .roffsecurity

# fixed version
echo "%{name}-%{version}" > version

%build
CC="gcc -g $RPM_OPT_FLAGS -D_GNU_SOURCE" \
./configure -default +sgid
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/{bin,share/{man,misc},sbin}
mkdir -p  $RPM_BUILD_ROOT/etc/cron.{daily,weekly}
make install PREFIX=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/man

# added man2html stuff
cd man2html
make install PREFIX=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/man2html

gzip -9r $RPM_BUILD_ROOT%{_mandir}

# symlinks for manpath
ln -s man $RPM_BUILD_ROOT/usr/bin/manpath;
ln -s man.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/manpath.1.gz;

mv $RPM_BUILD_ROOT/usr/share/misc/man.conf $RPM_BUILD_ROOT/etc/man.conf;
ln -sf /etc/man.conf $RPM_BUILD_ROOT/usr/share/misc/man.conf

install -m755 $RPM_SOURCE_DIR/makewhatis.cronweekly $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis.cron
install -m755 $RPM_SOURCE_DIR/makewhatis.crondaily $RPM_BUILD_ROOT/etc/cron.daily/makewhatis.cron

## uncomment these lines if you want to build a chaching man package
#mkdir -p $RPM_BUILD_ROOT/var/cache/{local,X11}
#for i in 1 2 3 4 5 6 7 8 9 n; do
#	mkdir -p $RPM_BUILD_ROOT/var/cache/cat$i
#	mkdir -p $RPM_BUILD_ROOT/var/cache/local/cat$i
#	mkdir -p $RPM_BUILD_ROOT/var/cache/X11R6/cat$i
#done

%preun
# Clean up accumulated cat litter.
#rm -f /var/cache/cat[123456789n]/*
#rm -f /var/cache/local/cat[123456789n]/*
#rm -f /var/cache/X11R6/cat[123456789n]/*

%post
#rm -f /var/cache/cat[123456789n]/*
#rm -f /var/cache/local/cat[123456789n]/*
#rm -f /var/cache/X11/cat[123456789n]/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/cron.weekly/makewhatis.cron
%config /etc/cron.daily/makewhatis.cron
%attr(2555,root,man) /usr/bin/man
/usr/bin/manpath
/usr/bin/apropos
/usr/bin/whatis
/usr/bin/man2html
/usr/sbin/makewhatis
%config(noreplace) /etc/man.conf
%config(noreplace) /usr/share/misc/man.conf
%{_mandir}/man1/*
%{_mandir}/man5/man.conf.5.gz
%{_mandir}/man8/makewhatis.8.gz

#%attr(0775,root,man)	%dir /var/cache
#%attr(0775,root,man)	%dir /var/cache/cat[123456789n]
#%attr(0775,root,man)	%dir /var/cache/local
#%attr(0775,root,man)	%dir /var/cache/local/cat[123456789n]
#%attr(0775,root,man)	%dir /var/cache/X11R6
#%attr(0775,root,man)	%dir /var/cache/X11R6/cat[123456789n]

%changelog
* Thu Mar 27 2003 TOMODA Shiori <stomoda@miraclelinux.com>
- added man-1.5i2-roffsecurity.patch

* Thu Jul 26 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed showed version

* Mon Jul 09 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- obsoleted man-man2html

* Fri Jun 29 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- applied man-1.5i2-japanese.patch

* Wed Jun 27 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- updated to 1.5i2
- security fixed #3219

* Tue Mar 13 2001 Mike Madore <mmadore@turbolinux.com>
- Added patch for missing header files (strcpy)

* Fri Feb 02 2001 Prasanna Subash <psubash@turbolinux.com>
- Made the spec TurboLinux Centro compliant.

* Fri Mar 03 2000 Christian G. H.ANvltje <docwhat@gerf.org>*B
- Updated man to 1.5h
- removed setgid bit due to bugtraq 1101 (it isn't needed since we
  don't chache man pages
- removed all patches (woohoo!), but added perl script to add /usr/share

* Wed Oct 27 1999 Roger Luethi <rluethi@turbolinux.com>
- removed man-1.5-manconf.patch, changed man-1.5g-make.patch: both change
  man.conf back to man.config, which is (and was) wrong
- strip man2html
- added man-1.5g-fixconfigureScript: fix configure script (bug prevented
  binaries in /bin from being found)
- removed useless (obsolete and not working) fix for zcat in spec file
- commented references to and code for /var/cache - on today's fast system,
  caching doesn't speed things up considerably; but we had issues with broken
  cached man pages, and they eat more disk space than they're worth anyway
- replaced man-fhs.patch and man-1.5g-manpath.patch by
  man-1.5g-man.conf.in-fixPaths.patch; FHS patch should work now
- added man page makewhatis.8
- cleaned up spec file and gzipped man pages

* Mon Sep 27 1999 Kelley Spoon <kelley.spoon@turbolinux.com>
- updated for TL 4.1
- got righteous with the FHS, bay-bee

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- fixed man2html loop on terminfo.5 (patrch from the author; #3316)

* Mon May 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed #2532 by adding /usr/local/sbin as a MANPATH_MAP

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- cron.weekly rebuilds, cron.daily updates in minimal time

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- man 1.5g bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- add manpath symlinks (#1138).

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #792
- added man2html files

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath
